Package resources.icons

# Class ScaledImageIconWrapper

java.lang.Object
javax.swing.ImageIcon
resources.icons.ImageIconWrapper
resources.icons.ScaledImageIconWrapper

All Implemented Interfaces:
  `Serializable`, `Accessible`, `Icon`, `FileBasedIcon`

@Deprecated(forRemoval=true, since="11") public class ScaledImageIconWrapper extends ImageIconWrapper
Deprecated, for removal: This API element is subject to removal in a future version.
This class has been replaced by `ScaledImageIcon` since it extends `ImageIconWrapper` which has also been deprecated.
Creates a scaled version of an icon

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.ImageIcon

  `ImageIcon.AccessibleImageIcon`

- ## Field Summary

  ### Fields inherited from class javax.swing.ImageIcon

  `component, tracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScaledImageIconWrapper(Icon baseIcon, int width, int height)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size.
  `ScaledImageIconWrapper(Icon baseIcon, int width, int height, int hints)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ImageIcon`
  `createImageIcon()`
  Deprecated, for removal: This API element is subject to removal in a future version.

  ### Methods inherited from class resources.icons.ImageIconWrapper

  `createIconBaseImage, getAccessibleContext, getDescription, getFilename, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageName, getImageObserver, paintIcon, setDescription, setImage, toString`

  ### Methods inherited from class javax.swing.ImageIcon

  `loadImage, setImageObserver`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScaledImageIconWrapper

    public ScaledImageIconWrapper(Icon baseIcon, int width, int height)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size. The rendering hints of `Image.SCALE_AREA_AVERAGING` will be applied.
    Parameters:
      `baseIcon` - base icon
      `width` - new icon width
      `height` - new icon height

  - ### ScaledImageIconWrapper

    public ScaledImageIconWrapper(Icon baseIcon, int width, int height, int hints)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct wrapped scaled ImageIcon based upon specified baseIcon and desired size
    Parameters:
      `baseIcon` - base icon
      `width` - new icon width
      `height` - new icon height
      `hints` - `RenderingHints` used by `Graphics2D`

- ## Method Details

  - ### createImageIcon

    protected ImageIcon createImageIcon()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Overrides:
      `createImageIcon` in class `ImageIconWrapper`